package com.jeeplus.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class ProgramProjectListInfo {

    private String contractId;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 委托方
     */
    private String client;

    private String clientName;

    private String amount;

    private String contractType;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 项目编号
     */
    private String no;

    private String projectType;

    /**
     * 项目立项号
     */
    private String approvalNo;

    private String company;

    private String projectMould;

    private String propertyHolder;

    private String propertyHolderName;

    private String location;

    private String isFirst;

    private String yearNum;

    private String checkYear;

    /**
     * 项目经理（项目责任人）
     */
    private String projectManager;

    private String projectManagerName;

    private String reportType;

    private String industry;

    private String enterpriseType;

    private String riskLevel;

    private String projectSource;

    private BigDecimal estimate;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date planEndTime;

    private Integer useNum;

    private Integer appointment;

    private Double workHours;

    private String remarks;

    private String assessmentEnterprise;

    private String assessmentEnterpriseName;

    private String linkNum;

    private String relationship;

    private String assessmentWay;

    private String assessmentObjective;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date assessmentDate;

    private BigDecimal num;

    private String projectDevelopment;

    private String delegateProjectType;

    private String assessmentObject;

    private String assessmentRange;

    /**
     * 是否生成报告号
     */
    private String generateReportNumber;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date workBeginDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date workEndDate;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date reportingDate;

    private String isHave;

    private String isInfluence;

    private String mode;

    /**
     * 状态
     */
    private String status;

    private String procInsId;

    private String processDefinitionId;

    /**
     * 创建时间
     */
    private String[] createDates;

    /**
     * 创建人id
     */
    private String createBy;

    /**
     * 是否开票
     */
    private String isInvoice;

    /**
     * 项目报告号
     */
    private String reportNo;

    /**
     * 一级校审状态
     */
    private String status1;

    /**
     * 二级校审状态
     */
    private String status2;

    /**
     * 三级校审状态
     */
    private String status3;

    /**
     * 报告签发状态
     */
    private String issuedStatus;

    /**
     * 一级校审id
     */
    private String auditId1;

    /**
     * 二级校审id
     */
    private String auditId2;

    /**
     * 三级校审id
     */
    private String auditId3;

    /**
     * 报告签发id
     */
    private String issuedId;

    /**
     * 三级校审流程id
     */
    private String procInsId1;

    /**
     * 三级校审流程id
     */
    private String procInsId2;

    /**
     * 三级校审流程id
     */
    private String procInsId3;

    /**
     * 项目归档流程id
     */
    private String procInsIdArchive;

    /**
     * 项目归档id
     */
    private String archiveId;

    /**
     * 项目归档状态
     */
    private String archiveStatus;

    /**
     * 项目负责人id
     */
    private String OfficeId;

    /**
     * 报告签发流程id
     */
    private String procInsId4;

    /**
     * 审批通过时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date agreeTime;

    /**
     * 审批人
     */
    private String agreeUserId;

    /**
     * 合同编号
     */
    private String contractNo;

    /**
     * 所属菜单   是评估项目登记   还是  评估2022项目登记
     */
    private String tabType;

    /**
     * 项目登记  taskId
     */
    private String taskId;

    /**
     * 数据审核人  项目登记
     */
    private List<String> auditUserIds;

    /**
     * 一级校审  taskId
     */
    private String taskIdAudit1;

    /**
     * 二级校审  taskId
     */
    private String taskIdAudit2;

    /**
     * 三级校审  taskId
     */
    private String taskIdAudit3;

    /**
     * 数据审核人  一级校审
     */
    private List<String> auditUserIds1;

    /**
     * 数据审核人  二级校审
     */
    private List<String> auditUserIds2;

    /**
     * 数据审核人  三级校审
     */
    private List<String> auditUserIds3;

    /**
     * 签发  taskId
     */
    private String taskIdIssued;

    /**
     * 归档  taskId
     */
    private String taskIdArchive;

    /**
     * 数据审核人  签发
     */
    private List<String> auditUserIdsIssued;

    /**
     * 数据审核人  归档
     */
    private List<String> auditUserIdsArchive;

    /**
     * 是否展示关联发票的开票状态   1展示   其他不展示
     */
    private String showInvoiceFlag;

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getClient() {
        return client;
    }

    public void setClient(String client) {
        this.client = client;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getContractType() {
        return contractType;
    }

    public void setContractType(String contractType) {
        this.contractType = contractType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getApprovalNo() {
        return approvalNo;
    }

    public void setApprovalNo(String approvalNo) {
        this.approvalNo = approvalNo;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getProjectMould() {
        return projectMould;
    }

    public void setProjectMould(String projectMould) {
        this.projectMould = projectMould;
    }

    public String getPropertyHolder() {
        return propertyHolder;
    }

    public void setPropertyHolder(String propertyHolder) {
        this.propertyHolder = propertyHolder;
    }

    public String getPropertyHolderName() {
        return propertyHolderName;
    }

    public void setPropertyHolderName(String propertyHolderName) {
        this.propertyHolderName = propertyHolderName;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getIsFirst() {
        return isFirst;
    }

    public void setIsFirst(String isFirst) {
        this.isFirst = isFirst;
    }

    public String getYearNum() {
        return yearNum;
    }

    public void setYearNum(String yearNum) {
        this.yearNum = yearNum;
    }

    public String getCheckYear() {
        return checkYear;
    }

    public void setCheckYear(String checkYear) {
        this.checkYear = checkYear;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getProjectManagerName() {
        return projectManagerName;
    }

    public void setProjectManagerName(String projectManagerName) {
        this.projectManagerName = projectManagerName;
    }

    public String getReportType() {
        return reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getEnterpriseType() {
        return enterpriseType;
    }

    public void setEnterpriseType(String enterpriseType) {
        this.enterpriseType = enterpriseType;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public String getProjectSource() {
        return projectSource;
    }

    public void setProjectSource(String projectSource) {
        this.projectSource = projectSource;
    }

    public BigDecimal getEstimate() {
        return estimate;
    }

    public void setEstimate(BigDecimal estimate) {
        this.estimate = estimate;
    }

    public Date getPlanEndTime() {
        return planEndTime;
    }

    public void setPlanEndTime(Date planEndTime) {
        this.planEndTime = planEndTime;
    }

    public Integer getUseNum() {
        return useNum;
    }

    public void setUseNum(Integer useNum) {
        this.useNum = useNum;
    }

    public Integer getAppointment() {
        return appointment;
    }

    public void setAppointment(Integer appointment) {
        this.appointment = appointment;
    }

    public Double getWorkHours() {
        return workHours;
    }

    public void setWorkHours(Double workHours) {
        this.workHours = workHours;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getAssessmentEnterprise() {
        return assessmentEnterprise;
    }

    public void setAssessmentEnterprise(String assessmentEnterprise) {
        this.assessmentEnterprise = assessmentEnterprise;
    }

    public String getAssessmentEnterpriseName() {
        return assessmentEnterpriseName;
    }

    public void setAssessmentEnterpriseName(String assessmentEnterpriseName) {
        this.assessmentEnterpriseName = assessmentEnterpriseName;
    }

    public String getLinkNum() {
        return linkNum;
    }

    public void setLinkNum(String linkNum) {
        this.linkNum = linkNum;
    }

    public String getRelationship() {
        return relationship;
    }

    public void setRelationship(String relationship) {
        this.relationship = relationship;
    }

    public String getAssessmentWay() {
        return assessmentWay;
    }

    public void setAssessmentWay(String assessmentWay) {
        this.assessmentWay = assessmentWay;
    }

    public String getAssessmentObjective() {
        return assessmentObjective;
    }

    public void setAssessmentObjective(String assessmentObjective) {
        this.assessmentObjective = assessmentObjective;
    }

    public Date getAssessmentDate() {
        return assessmentDate;
    }

    public void setAssessmentDate(Date assessmentDate) {
        this.assessmentDate = assessmentDate;
    }

    public BigDecimal getNum() {
        return num;
    }

    public void setNum(BigDecimal num) {
        this.num = num;
    }

    public String getProjectDevelopment() {
        return projectDevelopment;
    }

    public void setProjectDevelopment(String projectDevelopment) {
        this.projectDevelopment = projectDevelopment;
    }

    public String getDelegateProjectType() {
        return delegateProjectType;
    }

    public void setDelegateProjectType(String delegateProjectType) {
        this.delegateProjectType = delegateProjectType;
    }

    public String getAssessmentObject() {
        return assessmentObject;
    }

    public void setAssessmentObject(String assessmentObject) {
        this.assessmentObject = assessmentObject;
    }

    public String getAssessmentRange() {
        return assessmentRange;
    }

    public void setAssessmentRange(String assessmentRange) {
        this.assessmentRange = assessmentRange;
    }

    public String getGenerateReportNumber() {
        return generateReportNumber;
    }

    public void setGenerateReportNumber(String generateReportNumber) {
        this.generateReportNumber = generateReportNumber;
    }

    public Date getWorkBeginDate() {
        return workBeginDate;
    }

    public void setWorkBeginDate(Date workBeginDate) {
        this.workBeginDate = workBeginDate;
    }

    public Date getWorkEndDate() {
        return workEndDate;
    }

    public void setWorkEndDate(Date workEndDate) {
        this.workEndDate = workEndDate;
    }

    public Date getReportingDate() {
        return reportingDate;
    }

    public void setReportingDate(Date reportingDate) {
        this.reportingDate = reportingDate;
    }

    public String getIsHave() {
        return isHave;
    }

    public void setIsHave(String isHave) {
        this.isHave = isHave;
    }

    public String getIsInfluence() {
        return isInfluence;
    }

    public void setIsInfluence(String isInfluence) {
        this.isInfluence = isInfluence;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getProcInsId() {
        return procInsId;
    }

    public void setProcInsId(String procInsId) {
        this.procInsId = procInsId;
    }

    public String getProcessDefinitionId() {
        return processDefinitionId;
    }

    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }

    public String[] getCreateDates() {
        return createDates;
    }

    public void setCreateDates(String[] createDates) {
        this.createDates = createDates;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getIsInvoice() {
        return isInvoice;
    }

    public void setIsInvoice(String isInvoice) {
        this.isInvoice = isInvoice;
    }

    public String getReportNo() {
        return reportNo;
    }

    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    public String getStatus1() {
        return status1;
    }

    public void setStatus1(String status1) {
        this.status1 = status1;
    }

    public String getStatus2() {
        return status2;
    }

    public void setStatus2(String status2) {
        this.status2 = status2;
    }

    public String getStatus3() {
        return status3;
    }

    public void setStatus3(String status3) {
        this.status3 = status3;
    }

    public String getIssuedStatus() {
        return issuedStatus;
    }

    public void setIssuedStatus(String issuedStatus) {
        this.issuedStatus = issuedStatus;
    }

    public String getAuditId1() {
        return auditId1;
    }

    public void setAuditId1(String auditId1) {
        this.auditId1 = auditId1;
    }

    public String getAuditId2() {
        return auditId2;
    }

    public void setAuditId2(String auditId2) {
        this.auditId2 = auditId2;
    }

    public String getAuditId3() {
        return auditId3;
    }

    public void setAuditId3(String auditId3) {
        this.auditId3 = auditId3;
    }

    public String getIssuedId() {
        return issuedId;
    }

    public void setIssuedId(String issuedId) {
        this.issuedId = issuedId;
    }

    public String getProcInsId1() {
        return procInsId1;
    }

    public void setProcInsId1(String procInsId1) {
        this.procInsId1 = procInsId1;
    }

    public String getProcInsId2() {
        return procInsId2;
    }

    public void setProcInsId2(String procInsId2) {
        this.procInsId2 = procInsId2;
    }

    public String getProcInsId3() {
        return procInsId3;
    }

    public void setProcInsId3(String procInsId3) {
        this.procInsId3 = procInsId3;
    }

    public String getProcInsIdArchive() {
        return procInsIdArchive;
    }

    public void setProcInsIdArchive(String procInsIdArchive) {
        this.procInsIdArchive = procInsIdArchive;
    }

    public String getArchiveId() {
        return archiveId;
    }

    public void setArchiveId(String archiveId) {
        this.archiveId = archiveId;
    }

    public String getArchiveStatus() {
        return archiveStatus;
    }

    public void setArchiveStatus(String archiveStatus) {
        this.archiveStatus = archiveStatus;
    }

    public String getOfficeId() {
        return OfficeId;
    }

    public void setOfficeId(String officeId) {
        OfficeId = officeId;
    }

    public String getProcInsId4() {
        return procInsId4;
    }

    public void setProcInsId4(String procInsId4) {
        this.procInsId4 = procInsId4;
    }

    public Date getAgreeTime() {
        return agreeTime;
    }

    public void setAgreeTime(Date agreeTime) {
        this.agreeTime = agreeTime;
    }

    public String getAgreeUserId() {
        return agreeUserId;
    }

    public void setAgreeUserId(String agreeUserId) {
        this.agreeUserId = agreeUserId;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getTabType() {
        return tabType;
    }

    public void setTabType(String tabType) {
        this.tabType = tabType;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<String> getAuditUserIds() {
        return auditUserIds;
    }

    public void setAuditUserIds(List<String> auditUserIds) {
        this.auditUserIds = auditUserIds;
    }

    public String getTaskIdAudit1() {
        return taskIdAudit1;
    }

    public void setTaskIdAudit1(String taskIdAudit1) {
        this.taskIdAudit1 = taskIdAudit1;
    }

    public String getTaskIdAudit2() {
        return taskIdAudit2;
    }

    public void setTaskIdAudit2(String taskIdAudit2) {
        this.taskIdAudit2 = taskIdAudit2;
    }

    public String getTaskIdAudit3() {
        return taskIdAudit3;
    }

    public void setTaskIdAudit3(String taskIdAudit3) {
        this.taskIdAudit3 = taskIdAudit3;
    }

    public List<String> getAuditUserIds1() {
        return auditUserIds1;
    }

    public void setAuditUserIds1(List<String> auditUserIds1) {
        this.auditUserIds1 = auditUserIds1;
    }

    public List<String> getAuditUserIds2() {
        return auditUserIds2;
    }

    public void setAuditUserIds2(List<String> auditUserIds2) {
        this.auditUserIds2 = auditUserIds2;
    }

    public List<String> getAuditUserIds3() {
        return auditUserIds3;
    }

    public void setAuditUserIds3(List<String> auditUserIds3) {
        this.auditUserIds3 = auditUserIds3;
    }

    public String getTaskIdIssued() {
        return taskIdIssued;
    }

    public void setTaskIdIssued(String taskIdIssued) {
        this.taskIdIssued = taskIdIssued;
    }

    public String getTaskIdArchive() {
        return taskIdArchive;
    }

    public void setTaskIdArchive(String taskIdArchive) {
        this.taskIdArchive = taskIdArchive;
    }

    public List<String> getAuditUserIdsIssued() {
        return auditUserIdsIssued;
    }

    public void setAuditUserIdsIssued(List<String> auditUserIdsIssued) {
        this.auditUserIdsIssued = auditUserIdsIssued;
    }

    public List<String> getAuditUserIdsArchive() {
        return auditUserIdsArchive;
    }

    public void setAuditUserIdsArchive(List<String> auditUserIdsArchive) {
        this.auditUserIdsArchive = auditUserIdsArchive;
    }

    public String getShowInvoiceFlag() {
        return showInvoiceFlag;
    }

    public void setShowInvoiceFlag(String showInvoiceFlag) {
        this.showInvoiceFlag = showInvoiceFlag;
    }
}
